import src.ml_train as ml_train
import src.ml_load as ml_load
import numpy as np

# run a RF

# Define preprocessor
x_ppi = {'name': 'NoScaler'}
y_ppi = {'name': 'SimpleY'}
#y_ppi = {'name': 'SigmaCubedY'} # use for convcond

do_train = False
min_lev=0.08
min_samples_leaf = 10
n_trees = 10
n_trn_exs = 700000
no_ps = False
conv_cond = False # true for convcond
use_rh = False # true for convcond
no_cos = False # true for convcond

training_expt1 = 'abs1.0_norf_ras'
#training_expt2 = 'abs1.4_norf_ras'
#training_expt3 = 'abs1.0_abs1.4_norf_ras'

ml_train.train_wrapper(x_ppi, y_ppi, training_expt1,
                       min_lev=min_lev, 
                       do_nn = False, n_trees = n_trees, 
                       min_samples_leaf = min_samples_leaf,
                       n_trn_exs=n_trn_exs, conv_cond=conv_cond,
                       plot_training_results=False, 
                       do_train=do_train, 
                       use_rh=use_rh, 
                       no_ps=no_ps, 
                       no_cos=no_cos)

#ml_train.train_wrapper(x_ppi, y_ppi, training_expt2,
#                       min_lev=min_lev, 
#                       do_nn = False, n_trees = n_trees, 
#                       min_samples_leaf = min_samples_leaf,
#                       n_trn_exs=n_trn_exs, conv_cond=conv_cond,
#                       plot_training_results=False,
#                       do_train=do_train, 
#                       use_rh=use_rh, 
#                       no_ps=no_ps, 
#                       no_cos=no_cos)

#ml_train.train_wrapper(x_ppi, y_ppi, training_expt3,
#                       min_lev=min_lev, 
#                       do_nn = False, n_trees = n_trees, 
#                       min_samples_leaf = min_samples_leaf,
#                       n_trn_exs=n_trn_exs, conv_cond=conv_cond,
#                       plot_training_results=False,
#                       do_train=do_train, 
#                       use_rh=use_rh, 
#                       no_ps=no_ps,
#                       no_cos=no_cos)
